import { ICoverageLabel, ICoverageVehicle, IQuoteRequestProductComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestProduct implements IQuoteRequestProductComponent {
    /**
     * Coverage limits
     */
    limits: ICoverageLabel[];
    /**
     * Carrier name
     */
    name: string;
    /**
     * Vehicle coverage limits
     */
    vehicles: ICoverageVehicle[];
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
